/***************************************************************************
                          level0.cpp  -  description
                             -------------------
    begin                : Tue Nov 26 2002
    copyright            : (C) 2002 by David Brokenshire
    email                : brokenshire@sfu.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "level0.h"
#include "Player.h"

  /*! Constructs the level with a reference to the player that own it.
  */
  Level0::Level0(Player* thePlayer) : Level()
  { player = thePlayer;
  }

  Level0::~Level0()
  {
  }  
  /*! This method is responsible for running any of the original UvATrilearn methods
      and any other methods that we determine belong on the lowest level.  Essentially
      this level is used for acting, and simple static one cycle thinking, no more.
      Level0 is always the lowest level in the hierarchy.
  */
  int Level0::execute()
  { //just call execute(vector<Feature> featureVector) with an empty featureVector
    setTimer(1);
    if (player->formations->getPlayerType() == PT_GOALKEEPER)
    { //player->deMeer5_goalie();
      player->brokenGoalieVersion1();
    }
    else
    { //player->deMeer5();
      player->brokenPlayerVersion1();
    }
    //cout << "Called Level 0" << endl;
    return 0;
  }

/*
  int Level0::execute(vector<Feature> featureVector)
  { //Do the execution...
  }
*/