/***************************************************************************
                          level1.h  -  description
                             -------------------
    begin                : Tue Nov 26 2002
    copyright            : (C) 2002 by David Brokenshire
    email                : brokenshire@sfu.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LEVEL1_H
#define LEVEL1_H

#include "level.h"

/*! This class is the lowest of the levels.  It is responsible for coming up
    will how actions will be implemented.  It figures out how dribbles should
    be dribbled and so on, when we kick, when we dash, when we pass.  Skills
    are defined at this level that take several cycles to complete, or possibly
    just one. This class is responsible for the lowest level of actions. It actually
    produces SoccerCommands and sends enqueues them to be sent to the server.
    This level mainly uses the methods of UvATrilearn 2001/2002, though some
    are modified for our uses.
*/
class Level1 : public Level
{
public: 
  Level1(Player* thePlayer);
  virtual ~Level1();
  virtual LevelStateT execute();
  void composeTargetAreaString(char* str);

  //As an example you could add a multicycle dribble
  LevelStateT multiCycleDribble(); //If this was real you'd probably want to have some parameters or something...
  //int multyCycleDribbleStep;
//  virtual int execute(vector<Feature> featureVector);  

};

#endif
