/***************************************************************************
                          region.h  -  description
                             -------------------
    begin                : Tue Aug 6 2002
    copyright            : (C) 2002 by David Brokenshire
    email                : brokenshire@sfu.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __REGION__H__
#define __REGION__H__

#include "Geometry.h"


/*! This class describes regions of the field.  A region can be either a circle
    or a rectangle.
*/
class Region
{
public:

  Region();
  Region(Rectangle *rect);
  Region(Circle *circ);

  bool isRectangle() const;
  bool isCircle() const;
  bool isInRegion(const VecPosition& position) const;

  void setArea(Rectangle *rect);
  void setArea(Circle *circ);

private:
  Rectangle* rectangularRegion;   /*!<  The rectangle that defines the region */
  Circle*    circularRegion;      /*!<  The circle that defines the region    */
  bool      isRectangular;        /*!<  Whether the region is rectangular     */
};

#endif
